## cascading.tuple.hadoop
Class TupleSerialization.SerializationElementWriter

    java.lang.Object
      cascading.tuple.hadoop.TupleSerialization.SerializationElementWriter

All Implemented Interfaces:
  TupleOutputStream.ElementWriter

Enclosing class:
  TupleSerialization

    public static class TupleSerialization.SerializationElementWriter

extends Object
implements TupleOutputStream.ElementWriter

Constructor Summary
`TupleSerialization.SerializationElementWriter(TupleSerialization tupleSerialization)`

Method Summary
`void` `close()`
`void` `write(DataOutputStream outputStream, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleSerialization.SerializationElementWriter

    public TupleSerialization.SerializationElementWriter(TupleSerialization tupleSerialization)

Method Detail

### write

    public void write(DataOutputStream outputStream,
                      Object object)
               throws IOException

  Specified by:
    `write` in interface `TupleOutputStream.ElementWriter`
  Throws:
    `IOException`

### close

    public void close()

  Specified by:
    `close` in interface `TupleOutputStream.ElementWriter`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.